//Este archivo contiene la implementacin de la funcin hash multiplicativa

#include <math.h>

//Funcin FuncionHashMult : Esta es la implementacin de la funcin de hashing doble
//		       	    con mtodo multiplicativo.
//Variables de entrada  : clave - Valor de la clave
//			: i - nmero de prueba
//			: N - Tamao de la tabla
//El valor retornado es el ndice de la tabla hash al que corresponde la clave.
int FuncionHashMult (unsigned long int clave, int i, int N)
{
  double factor1 = sqrt(5),
         factor2 = sqrt(11);
  
  return ((int)((factor1*clave) + (factor2*clave*i)) % N); //Se agregaron algunos parntesis por claridad.
}//EndFuncionHashMult
